<?
header("Content-Type: application/xhtml+xml; charset=iso-8859-1");
use_helper('UrlFunctions');
$o_ObjectBean = new TesisBean();
$tamanioPag = 10;


$o_ObjectBean->page = $page;
$o_ObjectBean->tamPag = $tamanioPag;
$o_ObjectBean->sortCampos = $sortCampos;
$o_ObjectBean->sortType   = $sortType;


if($txtCodigoBAN   !=""){ $o_ObjectBean->setCodigoBAN($txtCodigoBAN); }
if($cboTipoTesis   !=""){ $o_ObjectBean->setTipoTesisId($cboTipoTesis); }
if($txtTitulo   !=""){ $o_ObjectBean->setDescripcion($txtTitulo); }
if($txtClave    !=""){ $o_ObjectBean->setPalabraClave($txtClave); }
if($FechaSustentacionIni !=""){ $o_ObjectBean->setFechaSustentacion($FechaSustentacionIni); }
if($FechaSustentacionFin !=""){ $o_ObjectBean->setFechaSustentacionFin($FechaSustentacionFin); }
if($FechaAprobacionIni   !=""){ $o_ObjectBean->setFechaAprobacion($FechaAprobacionIni); }
if($FechaAprobacionFin   !=""){ $o_ObjectBean->setFechaAprobacionFin($FechaAprobacionFin); }
if($FechaPublicacionIni   !=""){ $o_ObjectBean->setFechaPublicacion($FechaPublicacionIni); }
if($FechaPublicacionFin   !=""){ $o_ObjectBean->setFechaPublicacionFin($FechaPublicacionFin); }
if($cboFacultad   !=""){ $o_ObjectBean->setFacultadId($cboFacultad); }
if($cboEspecialidad!=""){ $o_ObjectBean->setEspecialidadId($cboEspecialidad); }


$o_class = new TesisBL();
$a_ObjectBean = $o_class->busquedaTesis($o_ObjectBean);

if(!is_array($a_ObjectBean) && isset($a_ObjectBean)){
  $obj = $a_ObjectBean;
  $a_ObjectBean = null;
  $a_ObjectBean[] = $obj;  
}

$o_navigation = new navigation();
$o_navigation->setPaginaActual($page);
$o_navigation->setTamanioPagina($tamanioPag);
$o_navigation->setTotalRegistros($o_class->getCountResult($o_ObjectBean));
$valuesSort = array('sortCampos'=>$sortCampos, 'sortType'=>$sortType);
if(!$page) $page = 1;
ViewResponse::getInstance()->setMethodAjax();
  
?>
<script>
functionSort = function(campo, type){
  var typeSort      = "";
  var elmSortCampos = $('sortCampos');
  var elmSortType   = $('sortType');
  var a_sortCampos  = elmSortCampos.value!=""?elmSortCampos.value.split(";"):[];
  var a_sortType    = elmSortType.value!=""?elmSortType.value.split(";"):[];
  var pos           = a_sortCampos.indexOf(campo);
  switch (type){
     case 'A' :
       a_sortType[pos]    = "2";
     break;
     case 'D' :
       a_sortCampos = sliceByPos(a_sortCampos, pos);
       a_sortType   = sliceByPos(a_sortType, pos);
     break;
     default :
       a_sortCampos[a_sortCampos.length] = campo;
       a_sortType[a_sortType.length]     = "1";
     break;
  }
  var strSortCampos = a_sortCampos.join(";");
  var strSortType   = a_sortType.join(";");
  concatValueStr('sortCampos='+strSortCampos+'&sortType='+strSortType+"&page=<?=$page?>");
}
</script>

<?php

$strConcat = "sortCampos=".$valuesSort['sortCampos']."&sortType=".$valuesSort['sortType'];

function showImgOrder($valuesSort, $campo, $nameCampos){
  $a_valCampos = explode(";", $valuesSort['sortCampos']);
  $a_valtype   = explode(";", $valuesSort['sortType']);
  $sImg = "
            <a href=\"JavaScript:functionSort('".$campo."', '');\">".$nameCampos."</a>
            <img src=\"/images/common/buttons/arrow.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
          ";
  foreach ($a_valCampos as $key => $val){
    if($val == $campo){
      switch ($a_valtype[$key]){
        case 1:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'A');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_up.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
        case 2:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'D');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_down.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
      }
    }
  };
  return $sImg;
}
?>

<input type="hidden" id="sortCampos" size="100" value="<?=$valuesSort['sortCampos']?>">
<input type="hidden" id="sortType" size="100" value="<?=$valuesSort['sortType']?>">
      <table class="marco" border="0" cellpadding="0" cellspacing="0" width="100%">
       <tr>
          <td height="17" align="right" class="pager">
            <div id="contenedor">
              <? $o_navigation->ContruirHTMLNavigation('contenedor', $strConcat); ?>
            </div>
          </td>
        </tr>
        <tr>
          <td>
            <table class="grid" width="100%" border="0" cellpadding="0" cellspacing="0">
              <tr height="23">
                <th width="2%" >Nro</th>
                <th width="8%" id="col01" onMouseOver="sort_col(this);" ><?=showImgOrder($valuesSort, 'CodigoBAN','Codigo')?>&nbsp;</th>
                <th width="43%" id="col01" onMouseOver="sort_col(this);" ><?=showImgOrder($valuesSort, 'Descripcion','Titulo')?>&nbsp;</th>
                <th width="8%" id="col01" onMouseOver="sort_col(this);" ><?=showImgOrder($valuesSort, 'FechaSustentacion','Fec. Sust.')?>&nbsp;&nbsp;&nbsp;</th>
                <th width="8%" id="col01" onMouseOver="sort_col(this);" ><?=showImgOrder($valuesSort, 'FechaAprobacion','Fec. Apr.')?>&nbsp;&nbsp;&nbsp;</th>
                <th width="8%" id="col01" onMouseOver="sort_col(this);" ><?=showImgOrder($valuesSort, 'FechaPublicacion','Fec. Publ.')?>&nbsp;&nbsp;&nbsp;</th>
                <th width="8%" id="col01" onMouseOver="sort_col(this);" >Usr.Ult.Act.</th>
                <th width="8%" id="col01" onMouseOver="sort_col(this);" >Fec.Ult.Act.</th>
                <th width="12%">Opciones</th>
              </tr>
              <? if(count($a_ObjectBean)>0){ ?>
                <? foreach ($a_ObjectBean as $iKey => $o_objBean){ ?>
                <tr onClick="TR_click(this);">
                  <td class="chk"><?=($tamanioPag)*($page-1)+($iKey+1)?></td>
                  <td><?=$o_objBean->getCodigoBAN() ?></td>
                  <td><?=$o_objBean->getDescripcion() ?></td>
                  <td><?=$o_objBean->getFechaSustentacion()?></td>
                  <td align="center"><?=$o_objBean->getFechaAprobacion()?></td>
                  <td align="center"><?=$o_objBean->getFechaPublicacion()?></td>
                  <td align="center"><?=$o_objBean->getUsuarioModificacion()?></td>
                  <td align="center"><?=$o_objBean->getFechaModificacion()?></td>
                  <td align="center" valign="top">
                     <img src="/images/common/buttons/btnReview.gif" style="cursor:pointer;" onclick="showTesis('<?=$o_objBean->getTesisId()?>');">&nbsp;
                     <input type="image" name="Editar" src="/images/common/buttons/btnEdit.gif" onclick="parent.objMainTab.reqBody('<?=buildUrl('te/edit/id/'.$o_objBean->getTesisId());?>','001')">&nbsp;
                     <input type="image" name="Eliminar" src="/images/common/buttons/btnDelete.gif" onclick="deleteRegistro('<?=$o_objBean->getTesisId()?>','<?=($tamanioPag)*($page-1)+($iKey+1)?>')">
                    
                  </td>
                </tr>
                <? } ?>
              <? }else{ ?>
              <tr>
                <td colspan="7" align="center">No se produjo resultado</td>
              </tr>
              <? } ?>
            </table>
          </td>
        </tr>
        <tr>
          <td>Total Registros: <?=count($a_ObjectBean)?></td>
        </tr>
      </table>